/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.ExcepcionRedondo;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.exception.BusinessException;

import java.util.List;

/**
 * 
 * @author Administrador
 */
public interface ExcepcionRedondoService{

	public List<ExcepcionRedondo> obtenerTodos();

	public ExcepcionRedondo obtenerID(Integer id);

	/**
	 * Suscribe o actualiza la exception
	 * @param entidad
	 * @return
	 * @throws BusinessException - Si genera una exception si hay un error de validaciOn
	 */
	public ExcepcionRedondo suscribirActualizar(ExcepcionRedondo entidad) throws BusinessException;

	public void borrar(ExcepcionRedondo entidad);

	public List<ExcepcionRedondo> buscar(String indTipo, Parada origem, Parada destino);
}
